coap_resource_t Struct Reference

`#include <resource.h>`

Collaboration diagram for coap_resource_t:
[legend]

## Data Fields

unsigned int | dirty:1
| set to 1 if resource has changed More...
unsigned int | partiallydirty:1
| set to 1 if some subscribers have not yet been notified of the last change More...
unsigned int | observable:1
| can be observed More...
unsigned int | cacheable:1
| can be cached More...
coap_method_handler_t | handler [4]
| Used to store handlers for the four coap methods `GET`, `POST`, `PUT`, and `DELETE`. More...
coap_key_t | key
| the actual key bytes for this resource More...
UT_hash_handle | hh
coap_attr_t * | link_attr
| attributes to be included with the link format More...
coap_subscription_t * | subscribers
| list of observers for this resource More...
str | uri
| Request URI for this resource. More...
int | flags

## Detailed Description

Definition at line 75 of file resource.h.

## Field Documentation

## cacheable

unsigned int coap_resource_t::cacheable

can be cached

Definition at line 80 of file resource.h.

## dirty

unsigned int coap_resource_t::dirty

set to 1 if resource has changed

Definition at line 76 of file resource.h.

## flags

int coap_resource_t::flags

Definition at line 106 of file resource.h.

## handler

coap_method_handler_t coap_resource_t::handler[4]

Used to store handlers for the four coap methods `GET`, `POST`, `PUT`, and `DELETE`.

coap_dispatch() will pass incoming requests to the handler that corresponds to its request method or generate a 4.05 response if no handler is available.

Definition at line 88 of file resource.h.

## hh

UT_hash_handle coap_resource_t::hh

Definition at line 95 of file resource.h.

## key

coap_key_t coap_resource_t::key

the actual key bytes for this resource

Definition at line 90 of file resource.h.

## link_attr

coap_attr_t* coap_resource_t::link_attr

attributes to be included with the link format

Definition at line 98 of file resource.h.

## observable

unsigned int coap_resource_t::observable

can be observed

Definition at line 79 of file resource.h.

## partiallydirty

unsigned int coap_resource_t::partiallydirty

set to 1 if some subscribers have not yet been notified of the last change

Definition at line 77 of file resource.h.

## subscribers

coap_subscription_t* coap_resource_t::subscribers

list of observers for this resource

Definition at line 99 of file resource.h.

## uri

str coap_resource_t::uri

Request URI for this resource.

This field will point into the static memory.

Definition at line 105 of file resource.h.

The documentation for this struct was generated from the following file:

- resource.h